Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Perl binding of Sendmail Milter protocol
Name:		perl-Sendmail-PMilter
Version:	1.00
Release:	alt1_24
License:	BSD
URL:		https://metacpan.org/release/Sendmail-PMilter
Source0:	https://cpan.metacpan.org/authors/id/A/AV/AVAR/Sendmail-PMilter-%{version}.tar.gz
Patch0:		Sendmail-PMilter-Context.pm_pod.patch
Patch1:		Sendmail-PMilter-0.97-setdbg-settimeout.patch
Patch2:		Sendmail-PMilter-0.97-data-command.patch
Patch3:		Sendmail-PMilter-1.00-macro-head.patch
Patch4:		Sendmail-PMilter-1.00-sigchld.patch
Patch5:		Sendmail-PMilter-1.00-protocol.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(base.pm)
BuildRequires:	perl(Carp.pm)
BuildRequires:	perl(constant.pm)
BuildRequires:	perl(Errno.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(IO/Select.pm)
BuildRequires:	perl(IO/Socket/INET.pm)
BuildRequires:	perl(IO/Socket/INET6.pm)
BuildRequires:	perl(IO/Socket/UNIX.pm)
BuildRequires:	perl(POSIX.pm)
BuildRequires:	perl(Socket.pm)
BuildRequires:	perl(Socket6.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Symbol.pm)
BuildRequires:	perl(Thread/Semaphore.pm)
BuildRequires:	perl(threads.pm)
BuildRequires:	perl(threads/shared.pm)
BuildRequires:	perl(Time/HiRes.pm)
BuildRequires:	perl(UNIVERSAL.pm)
BuildRequires:	perl(warnings.pm)
# Test Suite
BuildRequires:	perl(Test/More.pm)
# Dependencies
Requires:	perl(IO/Socket/INET.pm)
Requires:	perl(IO/Socket/INET6.pm)
Requires:	perl(IO/Socket/UNIX.pm)
Requires:	perl(Socket6.pm)
Requires:	perl(Thread/Semaphore.pm)
Requires:	perl(threads.pm)
Requires:	perl(threads/shared.pm)
Obsoletes:	perl-Sendmail-Milter <= 0.18
Source44: import.info

%description
Sendmail::PMilter is a mail filtering API implementing the Sendmail milter
protocol in pure Perl. This allows Sendmail servers (and perhaps other MTAs
implementing milter) to filter and modify mail in transit during the SMTP
connection, all in Perl.

It should be noted that PMilter 0.90 and later is NOT compatible with
scripts written for PMilter 0.5 and earlier.  The API has been reworked
significantly, and the enhanced APIs and rule logic provided by PMilter
0.5 and earlier has been factored out for inclusion in a separate package
called Mail::Milter.

%prep
%setup -q -n Sendmail-PMilter-%{version}

# Fix up POD errors in Sendmail::PMilter::Context
%patch0 -p1

# Pretend to have succeeeded in Sendmail::Milter::{setdb,settimeout}
# (these are no-op functions in the Sendmail::Milter implementation)
# CPAN RT#50144
%patch1 -p1

# Handle SMFIC_DATA (CPAN RT#51058)
%patch2 -p1

# Fix addheader, getsymval bugs (CPAN RT#84941, #957886)
%patch3 -p1

# Reset SIGCHLD handler in milters (CPAN RT#85826, #970138)
%patch4

# Block instead of erroring on max children (CPAN RT#85833, #970197)
%patch5

# Fix interpreters in examples and turn off exec bits to avoid extra deps
sed -i -e 's@/usr/local/bin/perl@/usr/bin/perl@' examples/*.pl
chmod -x examples/*.pl

%build
# Using "echo" to bypass the interactive 'yes/no' question in Makefile.PL
echo yes | perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README doc/milter-protocol.txt examples/
%{perl_vendor_privlib}/Sendmail/

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_24
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_23
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_22
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_21
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_20
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_18
- update to new release by fcimport

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_17
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_14
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_12
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_11
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_10
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_9
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_8
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_7
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_6
- update to new release by fcimport

* Mon Aug 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_5
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_3
- fc import

